/// <reference types="node" />
import xlsx from 'node-xlsx';
import { ExcelFormat, ExcelType } from "./enums";
export interface ISpreadSheet<T> {
    name: string;
    items: T[];
    structures: ISheetStructure[];
}
export interface ISheetStructure {
    header: {
        displayName: string;
    };
    id: string;
    width: number;
    custom?: IFormatStructure;
}
export interface IFormatStructure {
    customFormat?: ExcelFormat;
    type?: ExcelType;
    options?: string[];
    customFormatCallback?: string;
}
declare type parseOptions = Parameters<typeof xlsx.parse>['1'];
export interface IExcelParserData {
    filename: string;
    uploadFolderPath: string;
    options: parseOptions;
}
export interface IExcelSheet {
    name: string;
    data: string[][];
}
export declare type IWorkerResult = IWorkerSuccessResult | IWorkerFailedResult;
export declare type IWorkerSuccessResult = {
    file: Buffer;
};
export declare type IWorkerFailedResult = {
    error: Error;
};
export {};
